from imc_utils.oscilloscope_dsox1204a import DSOX1204A

scope = DSOX1204A()
r = scope.handle.ask("*IDN?")
print(r)

scope.handle.write(":TRIG:MODE EDGE")
scope.handle.write(":TRIG:EDGE:SOUR CHAN3")
scope.handle.write(":TRIG:EDGE:LEV 3")
scope.handle.write(":TRIG:EDGE:SLOP POSitive")

scope.handle.write(":CHAN3:SCALe 1")
scope.handle.write(":SINGle")
scope.handle.write(":WAVeform:SOURce CHAN3")
scope.handle.write(":WAVeform:FORMat ASCii")
r = scope.handle.ask(":WAVeform:DATA?")
print(len(r))